GDCM: gdcm::NestedModuleEntries Class Reference

GDCM 3.2.11

Public Types | Public Member Functions | Friends | List of all members
gdcm::NestedModuleEntries Class Reference

Class for representing a NestedModuleEntries. More...

`#include <gdcmNestedModuleEntries.h>`

Inheritance diagram for gdcm::NestedModuleEntries:
[legend]
Collaboration diagram for gdcm::NestedModuleEntries:
[legend]

## Public Types
typedef std::vector< ModuleEntry >::size_type | SizeType
Public Types inherited from gdcm::ModuleEntry
typedef std::string | Description

## Public Member Functions
| NestedModuleEntries (const char *name="", const char *type="3", const char *description="")
void | AddModuleEntry (const ModuleEntry &me)
ModuleEntry & | GetModuleEntry (SizeType idx)
const ModuleEntry & | GetModuleEntry (SizeType idx) const
SizeType | GetNumberOfModuleEntries ()
Public Member Functions inherited from gdcm::ModuleEntry
| ModuleEntry (const char *name="", const char *type="3", const char *description="")
virtual | ~ModuleEntry ()=default
const Description & | GetDescription () const
const char * | GetName () const
const Type & | GetType () const
void | SetDescription (const char *d)
void | SetName (const char *name)
void | SetType (const Type &type)

## Friends
std::ostream & | operator<< (std::ostream &_os, const NestedModuleEntries &_val)

## Additional Inherited Members
Protected Attributes inherited from gdcm::ModuleEntry
Type | DataElementType
Description | DescriptionField
std::string | Name

## Detailed Description

Class for representing a NestedModuleEntries.

Note
  bla

See also
  ModuleEntry

## Member Typedef Documentation

## ◆ SizeType

typedef std::vector<ModuleEntry>::size_type gdcm::NestedModuleEntries::SizeType

## Constructor & Destructor Documentation

## ◆ NestedModuleEntries()

gdcm::NestedModuleEntries::NestedModuleEntries | ( | const char * | name = "",
|  | const char * | type = "3",
|  | const char * | description = "" )
| inline

References gdcm::ModuleEntry::ModuleEntry().

Referenced by operator<<.

## Member Function Documentation

## ◆ AddModuleEntry()

void gdcm::NestedModuleEntries::AddModuleEntry | ( | const ModuleEntry & | me | ) |
| inline

References gdcm::ModuleEntry::ModuleEntry().

## ◆ GetModuleEntry() [1/2]

ModuleEntry & gdcm::NestedModuleEntries::GetModuleEntry | ( | SizeType | idx | ) |
| inline

References gdcm::ModuleEntry::ModuleEntry().

## ◆ GetModuleEntry() [2/2]

const ModuleEntry & gdcm::NestedModuleEntries::GetModuleEntry | ( | SizeType | idx | ) | const
| inline

References gdcm::ModuleEntry::ModuleEntry().

## ◆ GetNumberOfModuleEntries()

SizeType gdcm::NestedModuleEntries::GetNumberOfModuleEntries | ( |  | ) |
| inline

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const NestedModuleEntries & | _val )
| friend

References NestedModuleEntries(), gdcm::ModuleEntry::DataElementType, gdcm::ModuleEntry::DescriptionField, gdcm::ModuleEntry::Name, and operator<<.

Referenced by operator<<.

The documentation for this class was generated from the following file:

- gdcmNestedModuleEntries.h